# Generated by Django 3.1.3 on 2022-11-17 07:19

from django.db import migrations

from compensation.models import UnitChoices


def harmonize_action_units(apps, schema_editor):
    """
    CompensationAction units (based on UnitChoices) can be mixed up at this point where
        * qm represents m²  and
        * m2 represents m²

    We drop qm in support of m2

    """
    CompensationAction = apps.get_model("compensation", "CompensationAction")
    actions = CompensationAction.objects.filter(
        unit="qm"
    )

    for action in actions:
        action.unit = UnitChoices.m2
        action.save()


class Migration(migrations.Migration):

    dependencies = [
        ('compensation', '0012_auto_20221116_1322'),
    ]

    operations = [
        migrations.RunPython(harmonize_action_units),
    ]
