"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 14.10.21

"""
from django.db import models


class EmaManager(models.Manager):
    """ Holds default db fetch setting for this model type

    """
    def get_queryset(self):
        return super().get_queryset().select_related(
            "modified",
            "modified__user",
            "recorded",
            "recorded__user",
        )