# Generated by Django 3.1.3 on 2022-01-14 08:36

from django.db import migrations, models
import konova.models.document
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Intervention',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('identifier', models.CharField(blank=True, max_length=1000, null=True)),
                ('title', models.CharField(blank=True, max_length=1000, null=True)),
                ('comment', models.TextField(blank=True, null=True)),
                ('access_token', models.CharField(blank=True, help_text='Used for sharing access', max_length=255, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='InterventionDocument',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('title', models.CharField(blank=True, max_length=500, null=True)),
                ('date_of_creation', models.DateField()),
                ('comment', models.TextField()),
                ('file', models.FileField(max_length=1000, upload_to=konova.models.document.generate_document_file_upload_path)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Legal',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('registration_date', models.DateField(blank=True, help_text="Refers to 'Zugelassen am'", null=True)),
                ('binding_date', models.DateField(blank=True, help_text="Refers to 'Bestandskraft am'", null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Responsibility',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('registration_file_number', models.CharField(blank=True, max_length=1000, null=True)),
                ('conservation_file_number', models.CharField(blank=True, max_length=1000, null=True)),
                ('handler', models.CharField(blank=True, help_text="Refers to 'Eingriffsverursacher' or 'Maßnahmenträger'", max_length=500, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Revocation',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('date', models.DateField(blank=True, help_text='Revocation from', null=True)),
                ('comment', models.TextField(blank=True, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='RevocationDocument',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('title', models.CharField(blank=True, max_length=500, null=True)),
                ('date_of_creation', models.DateField()),
                ('comment', models.TextField()),
                ('file', models.FileField(max_length=1000, upload_to=konova.models.document.generate_document_file_upload_path)),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
