# Generated by Django 3.1.3 on 2022-01-14 08:36

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('intervention', '0001_initial'),
        ('konova', '0001_initial'),
        ('user', '0001_initial'),
        ('codelist', '0001_initial'),
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.AddField(
            model_name='revocationdocument',
            name='created',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='user.useractionlogentry'),
        ),
        migrations.AddField(
            model_name='revocationdocument',
            name='instance',
            field=models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='document', to='intervention.revocation'),
        ),
        migrations.AddField(
            model_name='revocationdocument',
            name='modified',
            field=models.ForeignKey(blank=True, help_text='Last modified', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='user.useractionlogentry'),
        ),
        migrations.AddField(
            model_name='revocation',
            name='created',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='user.useractionlogentry'),
        ),
        migrations.AddField(
            model_name='revocation',
            name='legal',
            field=models.ForeignKey(help_text="Refers to 'Widerspruch am'", on_delete=django.db.models.deletion.CASCADE, related_name='revocations', to='intervention.legal'),
        ),
        migrations.AddField(
            model_name='revocation',
            name='modified',
            field=models.ForeignKey(blank=True, help_text='Last modified', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='user.useractionlogentry'),
        ),
        migrations.AddField(
            model_name='responsibility',
            name='conservation_office',
            field=models.ForeignKey(blank=True, limit_choices_to={'code_lists__in': [907], 'is_archived': False, 'is_selectable': True}, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='codelist.konovacode'),
        ),
        migrations.AddField(
            model_name='responsibility',
            name='registration_office',
            field=models.ForeignKey(blank=True, limit_choices_to={'code_lists__in': [1053], 'is_archived': False, 'is_selectable': True}, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='codelist.konovacode'),
        ),
        migrations.AddField(
            model_name='legal',
            name='laws',
            field=models.ManyToManyField(blank=True, limit_choices_to={'code_lists__in': [1048], 'is_archived': False, 'is_selectable': True}, to='codelist.KonovaCode'),
        ),
        migrations.AddField(
            model_name='legal',
            name='process_type',
            field=models.ForeignKey(blank=True, limit_choices_to={'code_lists__in': [44382], 'is_archived': False, 'is_selectable': True}, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='codelist.konovacode'),
        ),
        migrations.AddField(
            model_name='interventiondocument',
            name='created',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='user.useractionlogentry'),
        ),
        migrations.AddField(
            model_name='interventiondocument',
            name='instance',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='intervention.intervention'),
        ),
        migrations.AddField(
            model_name='interventiondocument',
            name='modified',
            field=models.ForeignKey(blank=True, help_text='Last modified', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='user.useractionlogentry'),
        ),
        migrations.AddField(
            model_name='intervention',
            name='checked',
            field=models.OneToOneField(blank=True, help_text='Holds data on user and timestamp of this action', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='user.useractionlogentry'),
        ),
        migrations.AddField(
            model_name='intervention',
            name='created',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='user.useractionlogentry'),
        ),
        migrations.AddField(
            model_name='intervention',
            name='deleted',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='user.useractionlogentry'),
        ),
        migrations.AddField(
            model_name='intervention',
            name='geometry',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='konova.geometry'),
        ),
        migrations.AddField(
            model_name='intervention',
            name='legal',
            field=models.OneToOneField(blank=True, help_text='Holds data on legal dates or law', null=True, on_delete=django.db.models.deletion.SET_NULL, to='intervention.legal'),
        ),
        migrations.AddField(
            model_name='intervention',
            name='log',
            field=models.ManyToManyField(blank=True, editable=False, help_text='Keeps all user actions of an object', to='user.UserActionLogEntry'),
        ),
        migrations.AddField(
            model_name='intervention',
            name='modified',
            field=models.ForeignKey(blank=True, help_text='Last modified', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='user.useractionlogentry'),
        ),
        migrations.AddField(
            model_name='intervention',
            name='recorded',
            field=models.OneToOneField(blank=True, help_text='Holds data on user and timestamp of this action', null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='+', to='user.useractionlogentry'),
        ),
        migrations.AddField(
            model_name='intervention',
            name='responsible',
            field=models.OneToOneField(blank=True, help_text="Holds data on responsible organizations ('Zulassungsbehörde', 'Eintragungsstelle')", null=True, on_delete=django.db.models.deletion.SET_NULL, to='intervention.responsibility'),
        ),
        migrations.AddField(
            model_name='intervention',
            name='users',
            field=models.ManyToManyField(help_text='Users having access (data shared with)', to=settings.AUTH_USER_MODEL),
        ),
    ]
