# Generated by Django 3.1.3 on 2022-04-11 06:35

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    dependencies = [
        ('konova', '0005_auto_20220216_0856'),
    ]

    operations = [
        migrations.CreateModel(
            name='Municipal',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('key', models.IntegerField(blank=True, help_text='Represents Gemeindeschlüssel', null=True)),
                ('name', models.CharField(blank=True, help_text='Gemeinde', max_length=1000, null=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.RenameField(
            model_name='district',
            old_name='krs',
            new_name='name',
        ),
        migrations.RemoveField(
            model_name='district',
            name='gmnd',
        ),
        migrations.RemoveField(
            model_name='parcel',
            name='gmrkng',
        ),
        migrations.AddField(
            model_name='district',
            name='key',
            field=models.IntegerField(blank=True, help_text='Represents Kreisschlüssel', null=True),
        ),
        migrations.CreateModel(
            name='ParcelGroup',
            fields=[
                ('id', models.UUIDField(default=uuid.uuid4, editable=False, primary_key=True, serialize=False)),
                ('key', models.IntegerField(blank=True, help_text='Represents Gemarkungsschlüssel', null=True)),
                ('name', models.CharField(blank=True, help_text='Gemarkung', max_length=1000, null=True)),
                ('municipal', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='konova.municipal')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='municipal',
            name='district',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='konova.district'),
        ),
        migrations.AddField(
            model_name='parcel',
            name='municipal',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='parcels', to='konova.municipal'),
        ),
        migrations.AddField(
            model_name='parcel',
            name='parcel_group',
            field=models.ForeignKey(blank=True, help_text='Gemarkung', null=True, on_delete=django.db.models.deletion.SET_NULL, to='konova.parcelgroup'),
        ),
    ]
