"""
Django settings for konova project.

Generated by 'django-admin startproject' using Django 3.1.2.

For more information on this file, see
https://docs.djangoproject.com/en/3.1/topics/settings/

For the full list of settings and their values, see
https://docs.djangoproject.com/en/3.1/ref/settings/
"""
from django.utils.translation import gettext_lazy as _

# Load sub settings
# If new settings need to be added as general settings to the whole project, outsource them into new xy_settings files!
from konova.sub_settings.django_settings import *
from konova.sub_settings.proxy_settings import *
from konova.sub_settings.sso_settings import *
from konova.sub_settings.table_settings import *
from konova.sub_settings.lanis_settings import *
from konova.sub_settings.wfs_parcel_settings import *

# Max upload size for POST forms
DATA_UPLOAD_MAX_MEMORY_SIZE = 5242880

# ALLOWED FILE UPLOAD DEFINITIONS
# Default: Upload into upper folder of code
MEDIA_ROOT = BASE_DIR + "/.."

# DOCUMENT UPLOAD PATHS
# Extends MEDIA_ROOT (https://docs.djangoproject.com/en/3.2/ref/settings/#std:setting-MEDIA_ROOT)
## {} is a placeholder for the object's uuid --> each object will have it's own folder
BASE_DOC_PATH = "konova_uploaded_files/"
INTERVENTION_DOC_PATH = BASE_DOC_PATH + "interventions/{}/"
INTERVENTION_REVOCATION_DOC_PATH = BASE_DOC_PATH + "interventions/{}/revocation/"
COMPENSATION_DOC_PATH = BASE_DOC_PATH + "compensations/{}/"
ECO_ACCOUNT_DOC_PATH = BASE_DOC_PATH + "eco_account/{}/"
EMA_DOC_PATH = BASE_DOC_PATH + "ema/{}/"

# German DateTime string format
STRF_DATE_TIME = "%d.%m.%Y %H:%M:%S"

# GROUPS
DEFAULT_GROUP = "Default"
ZB_GROUP = "Registration office"
ETS_GROUP = "Conservation office"

GEOM_MAX_VERTICES = 10000
